﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace WcfService
{
    /// <summary>
    /// The Service class that contains the logic
    /// </summary>
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall)]
    public class HelloService : IHelloService
    {
        /// <summary>
        /// Our exposed method
        /// </summary>
        /// <param name="imfine">the mood of the consumer.</param>
        /// <returns>A personated answer of the service</returns>
        public string HowAreYou(bool imfine)
        {
            if (imfine)
            {
                return "I'm fine, too";

            }
            else
            {
                return "Lets talk a bit."; 
            }
        }
    }
}
